# Class GetAddressBalanceReply

#### Hierarchy

- unknown
  - GetAddressBalanceReply

- Defined in src/protobuf/grpc_pb.d.ts:3366
- Defined in src/protobuf/grpc_pb.d.ts:3380

#####
Index

### Constructors

constructor

### Methods

clearAddressBalanceInfo
getAddressBalanceInfo
hasAddressBalanceInfo
serializeBinary
setAddressBalanceInfo
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetAddressBalanceReply(): GetAddressBalanceReply

- #### Returns GetAddressBalanceReply

  Inherited from jspb.Message.constructor

## Methods

### clearAddressBalanceInfo

- clearAddressBalanceInfo(): GetAddressBalanceReply

- #### Returns GetAddressBalanceReply

  - Defined in src/protobuf/grpc_pb.d.ts:3370

### getAddressBalanceInfo

- getAddressBalanceInfo(): undefined | AddressBalanceInfo

- #### Returns undefined | AddressBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3367

### hasAddressBalanceInfo

- hasAddressBalanceInfo(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:3369

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3372

### setAddressBalanceInfo

- setAddressBalanceInfo(value?: AddressBalanceInfo): GetAddressBalanceReply

- #### Parameters

  - ##### `Optional` value: AddressBalanceInfo

  #### Returns GetAddressBalanceReply

  - Defined in src/protobuf/grpc_pb.d.ts:3368

### toObject

- toObject(includeInstance?: boolean): GetAddressBalanceReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetAddressBalanceReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3373

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetAddressBalanceReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetAddressBalanceReply

  - Defined in src/protobuf/grpc_pb.d.ts:3376

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetAddressBalanceReply, reader: BinaryReader): GetAddressBalanceReply

- #### Parameters

  - ##### message: GetAddressBalanceReply

  - ##### reader: BinaryReader

  #### Returns GetAddressBalanceReply

  - Defined in src/protobuf/grpc_pb.d.ts:3377

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetAddressBalanceReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetAddressBalanceReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3375

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetAddressBalanceReply): GetAddressBalanceReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetAddressBalanceReply

  #### Returns GetAddressBalanceReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3374

Generated using TypeDoc